OGRE: OgreBites::InputListener Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
OgreBites::InputListener Struct Reference
Optional Components » Bites » Input

the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy. More...

`#include <OgreInput.h>`

Inheritance diagram for OgreBites::InputListener:
[legend]

## Public Member Functions
virtual | ~InputListener ()
virtual bool | axisMoved (const AxisEvent &evt)
virtual bool | buttonPressed (const ButtonEvent &evt)
virtual bool | buttonReleased (const ButtonEvent &evt)
virtual void | frameRendered (const Ogre::FrameEvent &evt)
virtual bool | hatMoved (const HatEvent &evt)
virtual bool | keyPressed (const KeyboardEvent &evt)
virtual bool | keyReleased (const KeyboardEvent &evt)
virtual bool | mouseMoved (const MouseMotionEvent &evt)
virtual bool | mousePressed (const MouseButtonEvent &evt)
virtual bool | mouseReleased (const MouseButtonEvent &evt)
virtual bool | mouseWheelRolled (const MouseWheelEvent &evt)
virtual bool | textInput (const TextInputEvent &evt)
virtual bool | touchMoved (const TouchFingerEvent &evt)
virtual bool | touchPressed (const TouchFingerEvent &evt)
virtual bool | touchReleased (const TouchFingerEvent &evt)

## Detailed Description

the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy.

The convention is to return true if the event was handled and false if it should be further propagated.

## Constructor & Destructor Documentation

## ◆ ~InputListener()

virtual OgreBites::InputListener::~InputListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ frameRendered()

virtual void OgreBites::InputListener::frameRendered | ( | const Ogre::FrameEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::AdvancedRenderControls, OgreBites::CameraMan, OgreBites::InputListenerChain, and OgreBites::TrayManager.

## ◆ keyPressed()

virtual bool OgreBites::InputListener::keyPressed | ( | const KeyboardEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::AdvancedRenderControls, OgreBites::CameraMan, OgreBites::ImGuiInputListener, and OgreBites::InputListenerChain.

## ◆ keyReleased()

virtual bool OgreBites::InputListener::keyReleased | ( | const KeyboardEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::CameraMan, OgreBites::ImGuiInputListener, and OgreBites::InputListenerChain.

## ◆ touchMoved()

virtual bool OgreBites::InputListener::touchMoved | ( | const TouchFingerEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::InputListenerChain.

## ◆ touchPressed()

virtual bool OgreBites::InputListener::touchPressed | ( | const TouchFingerEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::InputListenerChain.

## ◆ touchReleased()

virtual bool OgreBites::InputListener::touchReleased | ( | const TouchFingerEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::InputListenerChain.

## ◆ mouseMoved()

virtual bool OgreBites::InputListener::mouseMoved | ( | const MouseMotionEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::CameraMan, OgreBites::ImGuiInputListener, OgreBites::InputListenerChain, and OgreBites::TrayManager.

## ◆ mouseWheelRolled()

virtual bool OgreBites::InputListener::mouseWheelRolled | ( | const MouseWheelEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::CameraMan, OgreBites::ImGuiInputListener, OgreBites::InputListenerChain, and OgreBites::TrayManager.

## ◆ mousePressed()

virtual bool OgreBites::InputListener::mousePressed | ( | const MouseButtonEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::CameraMan, OgreBites::ImGuiInputListener, OgreBites::InputListenerChain, and OgreBites::TrayManager.

## ◆ mouseReleased()

virtual bool OgreBites::InputListener::mouseReleased | ( | const MouseButtonEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::CameraMan, OgreBites::ImGuiInputListener, OgreBites::InputListenerChain, and OgreBites::TrayManager.

## ◆ textInput()

virtual bool OgreBites::InputListener::textInput | ( | const TextInputEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::ImGuiInputListener, and OgreBites::InputListenerChain.

## ◆ axisMoved()

virtual bool OgreBites::InputListener::axisMoved | ( | const AxisEvent & | evt | ) |
| inlinevirtual

## ◆ hatMoved()

virtual bool OgreBites::InputListener::hatMoved | ( | const HatEvent & | evt | ) |
| inlinevirtual

## ◆ buttonPressed()

virtual bool OgreBites::InputListener::buttonPressed | ( | const ButtonEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::ImGuiInputListener.

## ◆ buttonReleased()

virtual bool OgreBites::InputListener::buttonReleased | ( | const ButtonEvent & | evt | ) |
| inlinevirtual

Reimplemented in OgreBites::ImGuiInputListener.

The documentation for this struct was generated from the following file:

- OgreInput.h